<!DOCTYPE html>
<html lang="en">
<head id="headContent">
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Responsive Bootstrap 4 Dashboard Template">
    <meta name="author" content="BootstrapDash">

    <title>simplycollect von CROWDSOFT</title>

    <!-- vendor css -->
    <link href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/lightslider/css/lightslider.min.css?v=[cs_version]" rel="stylesheet">

    <!-- azia CSS -->
    <link rel="stylesheet" href="./css/site.css?v=[cs_version]">
    <link rel="stylesheet" href="./css/azia.css?v=[cs_version]">

</head>
<body>
{% include 'snippets/pb-loader.tpl' %} 
<div id="contentwrapper" style="display:none;">


    <div class="az-header navbar-lg navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
            <div class="az-header-left">
                <a href="#" class="az-logo navbar-brand tx-22 font-weight-bold"><span></span>simplycollect</a>
                <a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><i class="typcn icon typcn-th-menu tx-26 text-white"></i></a>
                <a href="" id="azCollectHideCart" class="az-header-arrow "><i class="icon ion-md-arrow-back text-white"></i></a>
                <span class="az-header-menu-header d-lg-none navbar-brand tx-18 font-weight-bold">simplycollect</span>
            </div><!-- az-header-left -->


            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="" class="az-logo"><span></span>
                        <img class="az-logo" src="/style-global/img/serviceblick_logo.gif" alt="CROWDSOFT"></a>
                    <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->

                <ul class="nav">
                    <li class="nav-item">
                        <a id="options_link" href="" class="nav-link-dark-bg with-sub"><i class="typcn typcn-folder"></i>Optionen</a>
                        <div class="az-menu-sub" id="appmenu">
                            <nav class="nav-item">
                                <a class="nav-link" id="language_change_de" href="#">Deutsch</a>
                                <a class="nav-link" id="language_change_en" href="#">English</a>
                            </nav>
                        </div>
                    </li>
                </ul>
            </div><!-- az-header-menu -->


            <div class="az-header-right">
                <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                    <li class="nav-item nav-link"><span data-i18n="greeting">Willkommen</span>
                        <span data-replace="username">[username]</span>
                    </li>
                </ul>

                <!--<div class="az-header-message">
                    <a href="" class="btn btn-outline-light" data-toggle="modal" data-target="#loginmask">login modal test</a>
                    <button class="btn btn-outline-light">Abmelden</button>
                </div> az-header-message -->

                <div class="dropdown az-profile-menu">
                    <a href="" class="az-img-user">
                        <i class="typcn typcn-user tx-20  text-white"></i>
                    </a>
                    <div class="dropdown-menu">
                        <div class="az-dropdown-header d-sm-none">
                            <a href="" class="az-header-arrow"><i class="icon ion-md-arrow-back"></i></a>
                        </div>
                        <div class="az-header-profile">
                            <h6 data-replace="username">[username]</h6>
                        </div><!-- az-header-profile -->

                        <a href="#" onclick="logout();return false;" class="dropdown-item"><i
                                class="typcn typcn-power-outline"></i>Abmelden</a>
                    </div><!-- dropdown-menu -->
                </div><!-- az-header-right -profile-menu -->

            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header-dark-->

    <div class="landing-sass-header-content bg-dark">
        <div class="container">
            <h2 class="collect-merchant-container pt-2 pb-30px mb-0" data-replace="merchantName"></h2>
        </div>
    </div><!-- merchant name-->

    <div class="az-content az-content-app-dark pd-b-0">
        <div class="container bg-white rounded-sm">

            <div class="az-content-body-collect pd-t-20">

                <div id="azCollectShowCart" class="az-collect-icon text-right pd-b-10">
                    <!-- last collect message for small width -->
                    <i class="typcn typcn-shopping-cart"></i> Warenkorb
                </div><!-- icons -->

                <div id="video_container" class="az-collect-header">
                    <div class="d-flex justify-content-between align-items-center pd-b-5">
                        <label class="az-content-label az-content-label-sm">Video Chat</label>
                        <div id="customerQueue" class="badge  badge-primary" data-i18n="queueEntriesCustomerPage"></div>
                        
                        <span><i class="fas fa-expand"
                                 onclick="document.querySelector('iframe').requestFullscreen();"></i></span>
                    </div><!-- video header -->


                    <div id="meet" class="embed-responsive embed-responsive-4by3">
                        <!--iframe class="embed-responsive-item" allow="camera; microphone; fullscreen; display-capture" src="https://meet02.crowdsoft.net/foobar"></iframe-->
                    </div>
                </div><!-- az-collect-header -->

                <div id="azCollectBody" class="az-collect-body">
                    <div class="content-inner" id="chat_messages_container">
                        <label class="az-content-label az-content-label-sm">Text Chat</label>
                        <!-- Chat messages go here  -->


                    </div><!-- content-inner -->
                </div><!-- az-collect-body -->
                <div class="az-collect-footer">
                    <!--
                        <nav class="nav">
                          <a href="" class="nav-link" data-toggle="tooltip" title="Add Photo"><i class="fas fa-camera"></i></a>
                          <a href="" class="nav-link" data-toggle="tooltip" title="Attach a File"><i class="fas fa-paperclip"></i></a>
                          <a href="" class="nav-link" data-toggle="tooltip" title="Add Emoticons"><i class="far fa-smile"></i></a>
                          <a href="" class="nav-link"><i class="fas fa-ellipsis-v"></i></a>
                        </nav> 
                        chat icons -->
                    <input id="chat_message_input" type="text" class="form-control" placeholder="Type your message here...">
                    <a id="chat_send_button" href="" class="az-msg-send"><i class="far fa-paper-plane"></i></a>
                </div><!-- az-collect-footer -->
            </div><!-- az-content-body-collect -->


            <div class="az-content-left az-content-right-collect  pd-t-20" id="printContent">
                <div id="azCollectCart" class="az-collect-cart-table">
                    <label class="az-content-label az-content-label-sm">Warenkorb</label>
                    <div class="table-responsive mg-b-20" >
                        <table id="basket" class="display table table-dashboard-collect mg-b-0"
                               width="100%">
                            <thead>
                            <tr>
                                <th>Pos.</th>
                                <th>Art. Nr.</th>
                                <th>Bezeichnung</th>
                                <th>Anzahl</th>
                                <th>Preis</th>
                                <th>Gesamt</th>
                                <th>Optionen</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                        <br/>
                        <br/>
                        <br/>
                        <div id="orderNoticeWrapper" style="display:none;">
                            <label class="az-content-label az-content-label-sm">Verkäufer-Notizen zur Bestellung</label>
                            <div style="height:initial;" id="orderNotices" rows="3" class="orderNotices"
                                 placeholder="Zusätzliche Anweisungen zu dieser Bestellung"></div>
                        </div>
                        <button id="printOrderButton" class="btn btn-az-primary pd-x-30 mg-t-10 mg-r-5"
                                style="display:none;">Bestellung Drucken
                        </button>
                    </div><!-- table  -->
                </div><!-- az-collect-list -->

            </div><!-- az-content-right-collect -->

        </div><!-- container -->
    </div><!-- az-content -->
</div>

<div class="az-footer ht-40 d-none d-lg-block">
    <div class="container ht-100p pd-t-0-f">
        <span>&copy; <script>document.write(new Date().getFullYear())</script> serviceBLICK by planBLICK GmbH </span>
    </div><!-- container -->
</div><!-- az-footer -->


<!-- LARGE MODAL -->
<div id="welcomeModalUsername" class="modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content modal-content-demo">
            <div class="modal-header">
                <h6 class="modal-title">Willkommen bei simplycollect</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <P>Wir freuen uns Dich bei simplycollect begrüssen zu dürfen. Gleich werden wir Dich mit einem Verkäufer des von Dir gewählten Shops verbinden.<br/>
                    Da wir viel Wert auf eine persönliche Beratung legen, würden wir Dich gerne mit Deinem Namen ansprechen. Diesen kannst Du jetzt unten in das Eingabefeld eingeben.<br/>
                    Wenn Du uns Deinen Namen nicht nennen möchtest ist das aber auch kein Problem, lasse das Feld dann einfach leer und Klick direkt auf simplycollect starten.<br/>
                    Viel Spaß beim Shoppen!
                </P>


                <div class="d-lg-flex mg-y-20">
                    <div class="form-group mg-b-0">
                        <label class="form-label">Name: <span class="tx-danger">*</span></label>
                        <input type="text" id="customer_name" class="form-control wd-250" placeholder="Ihr Name eingeben" required="">
                    </div><!-- form-group -->
                    <div class="form-group mg-b-0 mg-md-l-20 mg-t-20 mg-md-t-0">
                        <label class="form-label">Händler-ID: <span class="tx-danger">*</span></label>
                        <input type="text" id="merchant_id" class="form-control wd-250" placeholder="Händler-ID eingeben" required="">
                    </div><!-- form-group -->
                </div><!-- d-flex -->
            </div><!-- modal-body -->
            <div class="modal-footer">
                <button id="startApp" class="btn btn-az-primary pd-x-20" data-dismiss="modal">simplycollect Starten</button>
            </div>
        </div>
    </div><!-- modal-dialog -->
</div><!-- modal -->

<div id="sessionTopicModal" class="modal">
    <div class="modal-dialog modal-lg" role="document">
        <div id="merchantNotOnlineMessage" class="modal-content modal-content-demo">
            <div class="modal-body">
                <p data-i18n="Merchant_offline"></p>

                <div class="d-lg-flex mg-y-20">
                    <div class="form-group mg-b-0">
                    </div><!-- form-group -->
                </div><!-- d-flex -->
            </div><!-- modal-body -->
            <div class="modal-footer">
                <button id="updateMerchantOnlineState" class="btn btn-az-primary pd-x-20">Aktualisieren</button>
            </div>
        </div>
        <div id="waitingForSessionMessage" class="modal-content modal-content-demo" style="display:none;">
            <div class="modal-body">
                <p>Bitte gedulde Dich noch einen Augenblick. Es wird gleich ein Verkäufer Kontakt mir Dir aufnehmen.<br/>
                    Währenddessen kannst Du uns aber gerne schon einmal mitteilen wie wir Dir helfen können.<br/>
                    Die eingegebenen Informationen stehem dem Verkäufer dann direkt zur Verfügung wenn Dein Beratunsgespräch beginnt.<br/>
                    Die Eingabe ist optional, wenn Du nichts eingeben willst, klicke einfach auf Weiter
                </p>


                <div class="d-lg-flex mg-y-20">
                    <div class="form-group mg-b-0">
                        <label class="form-label">Beratungsthema: </label>
                        <input type="text" id="session_topic" class="form-control w-100" placeholder="z.B. Ich brauche einen neuen Fernseher" required="">
                    </div><!-- form-group -->
                </div><!-- d-flex -->
            </div><!-- modal-body -->
            <div class="modal-footer">
                <button id="topicSetButton" class="btn btn-az-primary pd-x-20" data-dismiss="modal">Weiter</button>
            </div>
        </div>
    </div><!-- modal-dialog -->
</div><!-- modal -->

<div id="order_complete_modal" class="ui basic modal news">
    <div class="header">Bestell-Übersicht<i href="#" onclick="$('#order_complete_modal').modal('hide');return false;" class="close icon news_close" title="Übersicht schließen schließen"></i>
    </div>
    <div id="order_complete_container" class="content">
    </div>
</div>

<div id="right_chat_message" style="display:none">
    <div class="media flex-row-reverse">
        <div class="media-body">
            <div class="az-msg-wrapper">
                [MESSAGE]
            </div><!-- az-msg-wrapper -->

            <div><i class="typcn typcn-time tx-10"></i><span>[TIME]</span></div>
        </div><!-- media-body -->
    </div><!-- media -->
</div>

<div id="left_chat_message" style="display:none">
    <div class="media">
        <div class="media-body">
            <div class="az-msg-wrapper">
                [MESSAGE]
            </div><!-- az-msg-wrapper -->
            <div><i class="typcn typcn-time tx-10"></i><span>[TIME]</span></div>
        </div><!-- media-body -->
    </div><!-- media -->
</div>
<!--div id="redirectAfterSesssion" data-endsessionredirect="./thankyou.html"></div-->

<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="/csf-lib/vendor/jquery/jquery.cookie.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="/style-global/lib/perfect-scrollbar/perfect-scrollbar.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/lightslider/js/lightslider.min.js?v=[cs_version]"></script>
<script src='https://meet.jit.si/external_api.js'></script>

<script src="/style-global/js/azia.js?v=[cs_version]"></script>
<script defer type="module">
    import {pbBrain} from '/csf-lib/pb-brain.js?v=[cs_version]';
    import {PbAccount} from '/csf-lib/pb-account.js?v=[cs_version]';

    let urlParams = new URLSearchParams(window.location.search)
    if (urlParams.has("mid")) {
        new PbAccount().getapikeyfor("demo_2", "pb2019!", function (apikey) {
            $.cookie("apikey", apikey, {path: '/'});
            $.cookie("consumer_name", urlParams.get("mid"), {path: '/'});

            $("#merchant_id").val(urlParams.get("mid"))
            $("#merchant_id").prop('disabled', true);

            $("#welcomeModalUsername").modal()
            $('#welcomeModalUsername').on('hidden.bs.modal', function (e) {
                let date = new Date();
                let days = 365;
                date.setTime(date.getTime() + (60 * 60 * 24 * days * 1000));
                $.cookie("username", $("#customer_name").val(), {path: '/', expires: date});
                new pbBrain().boot("easy2getherEmbed-pro-circuit", true);
            })

            $("#customer_name").val($.cookie("username") || "")
            $("#session_topic").val($.cookie("sessionTopic") || "")

        })
    } else {
        alert("No merchant selected, Fallback not coded yet ;-)")
    }
</script>


<script>
    if (location.protocol !== 'https:' && location.href.indexOf("localhost") == -1) {
        location.replace(`https:${location.href.substring(location.protocol.length)}`);
    }

    $('#customer_name').keyup(function (e) {
        if (e.keyCode == 13) {
            $('#startApp').click()
        }
    });

    $('#session_topic').keyup(function (e) {
        $.cookie("sessionTopic", $("#session_topic").val(), {path: '/'});
        if (e.keyCode == 13) {
            $('#topicSetButton').click()
        }
    });


    $("#customer_name").html($.cookie("username"))

    /* controls for the chat body scroll bar */
    $(function () {
        'use strict'


        if (window.matchMedia('(min-width: 992px)').matches) {
            new PerfectScrollbar('#azCollectCart', {
                suppressScrollX: true
            });

            const azCollectBody = new PerfectScrollbar('#azCollectBody', {
                suppressScrollX: true
            });

            $('#azCollectBody').scrollTop($('#azCollectBody').prop('scrollHeight'))

        }


        /* shopping cart toggle function on small browser windows */

        $('#azCollectShowCart').on('click touch', function () {
            $(this).addClass('selected').removeClass('new');
            $(this).siblings().removeClass('selected');

            if (window.matchMedia('(max-width: 991px)').matches) {
                $('body').addClass('az-collect-cart-show');
                $('html body').scrollTop($('html body').prop('scrollHeight'));
            }
        });

        $('[data-toggle="tooltip"]').tooltip();

        $('#azCollectHideCart').on('click touch', function (e) {
            e.preventDefault();
            $('body').removeClass('az-collect-cart-show');
        })

    });
</script>
</body>
</html>
